window.Gleam.initSearch([{"doc":"aham","title":"aham","content":"# aham\n\n[![Package Version](https://img.shields.io/hexpm/v/aham)](https://hex.pm/packages/aham)\n[![Hex Docs](https://img.shields.io/badge/hex-docs-ffaff3)](https://hexdocs.pm/aham/)\n\n```sh\ngleam add aham@1\n```\n```gleam\nimport aham\nimport gleam/io\nimport locale\n\n// Esperanto\nconst messages_eo: aham.Bundle = [#(&quot;Hello&quot;, &quot;Saluton&quot;), #(&quot;world&quot;, &quot;mondo&quot;)]\n\n// Turkish\nconst messages_tr: aham.Bundle = [#(&quot;Hello&quot;, &quot;Merhaba&quot;), #(&quot;world&quot;, &quot;dünya&quot;)]\n\n// Bulgarian\nconst messages_bg: aham.Bundle = [#(&quot;Hello&quot;, &quot;Здравей&quot;), #(&quot;world&quot;, &quot;свят&quot;)]\n\n// Bulgarian Test (made-up)\nconst messages_bg_test: aham.Bundle = [#(&quot;Hello&quot;, &quot;Zdravei&quot;)]\n\npub fn main() {\n   // The examples use the Esperanto locale\n   // There are two ways to use:\n\n   // With values\n   let messages =\n      aham.new_with_values()\n      |&gt; aham.auto_add_bundle(locale.get_locale(), [\n         #(&quot;eo&quot;, &quot;&quot;, messages_eo),\n         #(&quot;tr&quot;, &quot;TR&quot;, messages_tr),\n         #(&quot;bg&quot;, &quot;BG&quot;, messages_bg),\n         #(&quot;bg&quot;, &quot;TEST&quot;, messages_bg_test),\n      ])\n\n   messages |&gt; aham.get(&quot;Hello&quot;) |&gt; io.println\n   // Prints &quot;Saluton&quot; in Esperanto\n   messages |&gt; aham.get(&quot;Not translated yet&quot;) |&gt; io.println\n   // Prints &quot;Not translated yet&quot; in English\n\n   // With keys\n   let messages2 =\n      aham.new_with_keys([\n         #(&quot;key1&quot;, &quot;Hello&quot;),\n         #(&quot;key2&quot;, &quot;world&quot;),\n         #(&quot;key1000&quot;, &quot;I am not translated&quot;),\n      ])\n      |&gt; aham.auto_add_bundle(locale.get_locale(), [\n         #(&quot;eo&quot;, &quot;&quot;, [#(&quot;key1&quot;, &quot;Saluton&quot;), #(&quot;key2&quot;, &quot;mondo&quot;)]),\n      ])\n\n   messages2 |&gt; aham.get_key(&quot;key1&quot;) |&gt; io.println\n   // Prints &quot;Saluton&quot; in Esperanto\n   messages2 |&gt; aham.get_key(&quot;key1000&quot;) |&gt; io.println\n   // Prints &quot;I am not translated&quot; in English\n   messages2 |&gt; aham.get_key(&quot;key.does.not.exist&quot;) |&gt; io.println\n   // Prints an empty string\n}\n```\n\nFurther documentation can be found at &lt;https://hexdocs.pm/aham&gt;.\n\n## Development\n\n```sh\ngleam run   # Run the project\ngleam test  # Run the tests\n```\n","url":"index.html"},{"doc":"locale","title":"Locale","content":"pub type Locale =\n   #(String, String)\n\n\nSynonyms:\nlocale.Locale\nlocale Locale","url":"locale.html#Locale"},{"doc":"locale","title":"get_locale","content":"pub fn get_locale() -&gt; #(String, String)\n Returns #(language code, country code), or empty strings if none is defined\nSynonyms:\nlocale.get_locale\nlocale get_locale","url":"locale.html#get_locale"},{"doc":"locale","title":"locale","content":"","url":"locale.html"},{"doc":"aham","title":"Aham","content":"pub type Aham =\n   dict.Dict(String, String)\n\n\nSynonyms:\naham.Aham\naham Aham","url":"aham.html#Aham"},{"doc":"aham","title":"Bundle","content":"pub type Bundle =\n   List(#(String, String))\n\n\nSynonyms:\naham.Bundle\naham Bundle","url":"aham.html#Bundle"},{"doc":"aham","title":"add_bundle","content":"pub fn add_bundle(\n   a: Dict(String, String),\n   bundle: List(#(String, String)),\n) -&gt; Dict(String, String)\n\nSynonyms:\naham.add_bundle\naham add_bundle","url":"aham.html#add_bundle"},{"doc":"aham","title":"auto_add_bundle","content":"pub fn auto_add_bundle(\n   a: Dict(String, String),\n   user_locale: #(String, String),\n   bundles: List(#(String, String, List(#(String, String)))),\n) -&gt; Dict(String, String)\n\nSynonyms:\naham.auto_add_bundle\naham auto_add_bundle","url":"aham.html#auto_add_bundle"},{"doc":"aham","title":"get","content":"pub fn get(a: Dict(String, String), str: String) -&gt; String\n Returns translation or `str` as a fallback\nSynonyms:\naham.get\naham get","url":"aham.html#get"},{"doc":"aham","title":"get_key","content":"pub fn get_key(a: Dict(String, String), key: String) -&gt; String\n Returns translation or empty string as a fallback\nSynonyms:\naham.get_key\naham get_key","url":"aham.html#get_key"},{"doc":"aham","title":"new_with_keys","content":"pub fn new_with_keys(\n   bundle: List(#(String, String)),\n) -&gt; Dict(String, String)\n Use with `aham.get_key`\nSynonyms:\naham.new_with_keys\naham new_with_keys","url":"aham.html#new_with_keys"},{"doc":"aham","title":"new_with_values","content":"pub fn new_with_values() -&gt; Dict(String, String)\n Use with `aham.get`\nSynonyms:\naham.new_with_values\naham new_with_values","url":"aham.html#new_with_values"},{"doc":"aham","title":"aham","content":"","url":"aham.html"}]);